tsset ccode year
cor sec_defect coupfail5
ta sec_defect coupfail5, chi
ta gwf_military demo,chi
*表一 descriptive statistics
estpost sum onset1v414 sec_defect coupfail5 effectivenumber milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev
*統計模型1, 2
eststo m1: qui xtlogit onset1v414 i.sec_defect milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
margins sec_defect
mplotoffset, name(g1,replace) title("失去武裝部隊支持之影響") xtitle("武裝部隊背叛") ytitle("Pr(內戰爆發)") recast(scatter) xsca(ra(-.5 1.5))
eststo m2: qui xtlogit onset1v414 i.coupfail5 milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
margins coupfail5
mplotoffset, name(g2,replace) title("政變之影響") xtitle("五年內曾經發生政變") ytitle("Pr(內戰爆發)") recast(scatter)  xsca(ra(-.5 1.5))
*圖一
gr combine g1 g2, ycommon title("文武關係對內戰爆發之影響") 
*統計模型3
eststo m3: qui xtlogit onset1v414 l.effectivenumber milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
margins, at(l.effectivenumber=(1(1)4))
qui margins, at(l.effectivenumber=(0(.5)5.41))
*圖二
marginsplot,title("武裝部隊內部分裂之影響") xtitle("內部敵對組織程度") ytitle("Pr(內戰爆發)") recast(line) xlabel(1(1)5) plotopts (lcolor(dknavy) ) recastci(rarea) ciopts(fcolor(gs12))
*統計模型4（完整模型）
eststo m4: qui xtlogit onset1v414 i.sec_defect i.coupfail5 l.effectivenumber milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
*表二
esttab m1 m2 m3 m4 using "C:\Users\hellm\Dropbox\PROJECT\civilwar_militarysplit\data\output.rtf", se label replace nogaps 
est clear
*robustness check
use "C:\Users\temp\Dropbox\PROJECT\civilwar_militarysplit\data\UCDP_e_coup_balance_def_milre_terr_cow_ext.dta"
*H1& H2
eststo A1: qui xtlogit onset1v414 sec_defect l.effectivenumber milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
eststo A2: qui xtlogit onset1v414 coupfail5 l.effectivenumber milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
esttab A1 A2 using "C:\Users\PC\Dropbox\PROJECT\civilwar_militarysplit\data\Aoutput.rtf", se label replace nogaps 

*Fearon & Laitin
eststo R1: qui xtlogit onset1v414 i.sec_defect ethfrac mtnest milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
eststo R2: qui xtlogit onset1v414 i.coupfail5 ethfrac mtnest milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo R3: qui xtlogit onset1v414 l.effectivenumber ethfrac mtnest milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
esttab R1 R2 R3 using  "C:\Users\PC\Dropbox\PROJECT\civilwar_militarysplit\data\Routput.rtf", se label replace nogaps 

*coupfail in that year
eststo C1: qui xtlogit onset1v414 i.coupfail milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo C2: qui xtlogit onset1v414 i.coupfail l.effectivenumber milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
esttab C1 C2 using "C:\Users\PC\Dropbox\PROJECT\civilwar_militarysplit\data\Coutput.rtf", se label replace nogaps 

*natural log of military and population
eststo L1: qui xtlogit onset1v414 i.sec_defect lnmilper_mc lntpop  gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
eststo L2: qui xtlogit onset1v414 i.coupfail5  lnmilper_mc lntpop  gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo L3: qui xtlogit onset1v414 l.effectivenumber lnmilper_mc lntpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo L4: qui xtlogit onset1v414 i.coupfail5 i.sec_defect l.effectivenumber lnmilper_mc lntpop  gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode)
esttab L1 L2 L3 L4 using "C:\Users\PC\Dropbox\PROJECT\civilwar_militarysplit\data\Loutput.rtf", se label replace nogaps 

*external support, 
eststo E1: qui xtlogit onset1v414 i.coupfail5 lagus_SH1995 warsaw milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo E2: qui xtlogit onset1v414 i.sec_defect lagus_SH1995 warsaw milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo E3: qui xtlogit onset1v414 l.effectivenumber lagus_SH1995 warsaw milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
eststo E4: qui xtlogit onset1v414 i.coupfail5 i.sec_defect l.effectivenumber lagus_SH1995 warsaw milper_mc tpop gwf_military demo lngdppc natrent extdebt taxrev t t2 t3, re vce(cl ccode) 
esttab E1 E2 E3 E4 using "C:\Users\PC\Dropbox\PROJECT\civilwar_militarysplit\data\Eoutput.rtf", se label replace nogaps 
est clear
clear
